
Redmine - Feature #3924

Shoud be able to modify the filename and it's description and remove the file which user upload in

the Wiki.

2009-09-25 09:31 - handy wang

Status: Closed Start date: 2009-09-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi all,

Firstly, thanks for the fantastic open source project Redmine, it's really a good tool for project management.

However, today, I wrote something about my project in the Wiki of Redmine.

I uploaded a PDF file with a bad name and bad description, so I want to modify the file name and description, but there isn't a functon

for modifying the uploaded file name and it's description.

OK, I give up modifying the file name and it's description, because I can change my file name locally, and then upload it again and

rewrite it's description.

However, I am mad with the situation: I can't remove the file which I want delete, so I must delete the whole current wiki document

page.

Lastly, I look forward to your reply.

Related issues:

Is duplicate of Redmine - Feature #1326: Add / edit an attachment description... Closed 2008-05-29

History

#1 - 2009-10-02 17:09 - Jean-Philippe Lang

handy wang wrote:

However, I am mad with the situation: I can't remove the file which I want delete, so I must delete the whole current wiki document page.

 There's a specific permission to delete wiki attachments.

See 'permissions/wiki/delete attachments'.

#2 - 2009-12-04 05:59 - handy wang

Jean-Philippe Lang wrote:

handy wang wrote:

However, I am mad with the situation: I can't remove the file which I want delete, so I must delete the whole current wiki document page.

 There's a specific permission to delete wiki attachments.

See 'permissions/wiki/delete attachments'.

 Firstly, so sorry to respond to you now.

I am so sorry to miss the function 'permissions/wiki/delete attachments'.

However, the description of attachment couldn't mofify. Do you think it's necessary?

#3 - 2010-07-13 01:31 - Holger Just

- Priority changed from Urgent to Normal

#4 - 2016-01-19 03:49 - Go MAEDA

- Category set to Attachments

- Status changed from New to Closed

- Resolution set to Duplicate
Implemented by #1326 (Redmine 3.0.0).

#5 - 2016-01-19 03:49 - Go MAEDA

- Is duplicate of Feature #1326: Add / edit an attachment description after upload added
